Karia
ReferencesOpenapiEmployer

List employer key contacts

GET
/organisation/{orgId}/workspace/{workspaceId}/employer/{employerId}/key-contacts

List the contacts linked to an employer in the specified organisation and workspace.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
employerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.karia.com.au/api/v0/organisation/string/workspace/string/employer/string/key-contacts"
{
  "items": [
    {
      "id": 0,
      "type": "string",
      "contactId": 0,
      "contact": {
        "id": 0,
        "firstName": "string",
        "lastName": "string",
        "preferredName": "string"
      }
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}